## monitoring-plugins-ucs 0.9.4

=== debian/changelog ===
monitoring-plugins-ucs (0.9.4-1) stable; urgency=medium

  * Initial release.

 -- Casper Gielen (Unix Administrator University Tilburg) <cgielen@uvt.nl>  Wed, 03 Feb 2016 16:36:08 +0100
