=== debian/control ===
Source: monitoring-plugins-ucs
Section: python
Priority: optional
Maintainer: Casper Gielen (Unix Administrator University Tilburg) <cgielen@uvt.nl>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6

Package: monitoring-plugins-ucs
Architecture: all
Depends: python, monitoring-plugins-common, python-ucssdk, ${misc:Depends}
Recommends: ${misc:Recommends}
#Suggests: ${misc:Suggests}
Description: Monitoring plugins voor Cisco UCS
 The first component is the Nagios monitoring plugin script (cisco_ucs_nagios)
 which will provide end-user with the capability of monitoring the components
 like blade  servers, rack servers, fabric interconnects, chassis, IO Modules,
 fabric extenders in one or more UCS domains.

Package: monitoring-plugins-ucs-autodiscovery
Architecture: all
Depends: python, monitoring-plugins-ucs, ${misc:Depends}
Recommends: ${misc:Recommends}
#Suggests: ${misc:Suggests}
Description: Monitoring plugins voor Cisco UCS
 The second is an add-on to the Nagios, which will provide end-user with the
 capability to auto discover UCS domain and create the host definitions in
 Nagios. It also creates the service definitions for the services defined in
 the configuration file. By default, the addon is shipped with basic service
 definitions for each UCS component (aka host in Nagios) which use the
 cisco_ucs_nagios script to monitor their health. Refer to the user guide
 section 5.1 for the list of services defined by the addon. For components/hosts
 which are not healthy, it gives the associated faults and their details. For
 components/hosts which are healthy, it gives the inventory details.
