=== debian/rules ===
#! /usr/bin/make -f

DH_VERBOSE=1

%:
	dh $@


#cisco_ucs_nagios usr/lib/nagios/plugins
#cisco_ucs_nagios.cfg usr/lib/nagios/plugins


# UPS = upstream
# ORI = orig 
# DEB = Debian

VERSION=0.9.4
ORIGNAME=cisco_ucs_nagios
DEBNAME=monitoring-plugins-ucs
SOURCE=$(DEBNAME)-$(VERSION)
ORIGTAR=$(DEBNAME)_$(VERSION).orig.tar.xz

TEMPTAR=orig/temp.tar.gz
EMBEDDED_TAR0=cisco-ucs-nagios-$(VERSION)/cisco-ucs-nagios-$(VERSION).tar.gz
EMBEDDED_TAR1=cisco_ucs_nagios/cisco_nagios_monitoring_plugin.tar.gz
EMBEDDED_TAR2=cisco_ucs_nagios/cisco_nagios_autodiscovery_addon.tar.gz

# download from upstream
get-orig-source: 
	mkdir -p orig orig/$(SOURCE)
	wget https://communities.cisco.com/servlet/JiveServlet/download/52697-13-103234/$(ORIGNAME)-$(VERSION).tar.gz -O $(TEMPTAR)
	# extract embedded tarballs
	tar -C orig -xf $(TEMPTAR) $(EMBEDDED_TAR0)
	tar -C orig -xf $(TEMPTAR) cisco-ucs-nagios-$(VERSION)/INSTALL
	tar -C orig -xf orig/$(EMBEDDED_TAR0) $(EMBEDDED_TAR1)
	tar -C orig -xf orig/$(EMBEDDED_TAR0) $(EMBEDDED_TAR2)
	tar -C orig/$(SOURCE) --strip-components=1 -xf orig/$(EMBEDDED_TAR1)
	tar -C orig/$(SOURCE) --strip-components=1 -xf orig/$(EMBEDDED_TAR2)
	cp orig/cisco-ucs-nagios-$(VERSION)/INSTALL orig/$(SOURCE)
	# repack into a simple tarball
	cd orig && tar cJf ../$(ORIGTAR) $(SOURCE)


override_dh_fixperms:
	dh_fixperms
	find debian -name 'cisco_ucs_nagios' -exec chmod +x {} +
#	find debian -name 'UcsNagiosDiscovery.py' -exec chmod +x {} +
	find debian -name 'UCSHostInfo.csv' -exec chmod 640 {} \; -exec chown nagios: {} \;
